subroutine compute_f(x, fx)
use work

POL_IF: IF(not_Pol) THEN
fx =f(x)

ELSE
fx  =polval(n, coef, x)
ENDIF POL_IF


end


subroutine compute_f1(x, f1x)
use work

POL_IF: IF(not_Pol) THEN
f1x =f1(x);

ELSE
f1x =polval(n-1, coef_1, x)
ENDIF POL_IF


end
